.teaser-product__text-wrap_mobile {
    width: 100%;
    height: 100%;
    position: relative;
    display: block;
    background: var(--brand-primary);
    padding: 15px 20px;
    color: var(--white);
    min-height: 300px;
    display: block;
}
.teaser-product__text-wrap {
    display: none;
}
.teaser-product__overlay{
    position: absolute;
    width: 100%;
    height: 100%;
    display: block;
    z-index: 90;
    left: 0px;
    top: 0px;
}
.teaser-product__link{
 z-index: 90;
}
.basket-button .basket-button__inside{
    max-width: 1080px;
}
@media only screen and (min-width: 768px) {

    .teaser-product__text-wrap_mobile {
        display: none;
    }

    .teaser-product__text-wrap {
        display: block;
    }
}

/*Styling for the template_text content-element*/
.text .text__inside.container__inside{
    max-width: 1080px;
}

/*Styling for the teaser product content element*/
.teaser-product__text-wrap .teaser-product__link--link1, .teaser-product__text-wrap_mobile .teaser-product__link--link1{
    border: solid 2px var(--white);
    font-family: var(--font-family-headline);
    font-weight: var(--font-weight-headline);
    left: initial;
    right: 15px;
}
.teaser-product__text-wrap .teaser-product__link--link1:before, .teaser-product__text-wrap_mobile .teaser-product__link--link1:before{
    content: none;
}

.teaser-product__text-wrap .teaser-product__link--link2, .teaser-product__text-wrap_mobile .teaser-product__link--link2{
    display: none;
}
.product-list-item__text-wrap .product-list-item__button{
    max-width: 230px;
}
.product-list-item__image__wrap .product-list-item__image{
    top: 0;
    background-size: cover;
}